export default ({request}) => ({
  /**
   * @description 登录
   * @param {Object} data 登录携带的信息
   */
  //用户列表
   userList(data) {
    return request({
      url: 'userInfo/authority/getUserPage',
      method: 'post',
      data
    })
  },

   //新增
   addUser(data){
    return request({
      url: '/userInfo/authority/save',
      method: 'post',
      data
    })
  },


  //编辑
  editUser(data){
    return request({
      url: '/userInfo/authority/update',
      method: 'post',
      data
    })
  },

  //删除
  deleteUser(id){
    return request({
      url: `/userInfo/authority/deleteById/${id}`,
      method: 'get',
     
    })
  },

  //获取仓库和仓房
  ckList(data){
    return request({
      url: 'orgInfo/authority/getList',
      method: 'post',
      data
    })
  },



})

